## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

Name:           pyshp
Version:        1.2.12
Release:        %autorelease
Summary:        Pure Python read/write support for ESRI Shapefile format

License:        MIT
URL:            https://github.com/GeospatialPython/pyshp
Source0:        %{url}/archive/%{version}/pyshp-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  dos2unix

%global common_description %{expand: \
The Python Shapefile Library (PyShp) provides read and write support for the
Esri Shapefile format. The Shapefile format is a popular Geographic Information
System vector data format created by Esri. For more information about this
format please read the well-written “ESRI Shapefile Technical Description –
July 1998” located at
http://www.esri.com/library/whitepapers/pdfs/shapefile.pdf. The Esri document
describes the shp and shx file formats.  However a third file format called dbf
is also required. This format is documented on the web as the “XBase File
Format Description” and is a simple file-based database format created in the
1960’s. For more on this specification see:
http://www.clicketyclick.dk/databases/xbase/format/index.html

Both the Esri and XBase file-formats are very simple in design and memory
efficient which is part of the reason the shapefile format remains popular
despite the numerous ways to store and exchange GIS data available today.}

%description
%{common_description}


%package -n python2-pyshp
Summary:        %{summary}

%{?python_provide:%python_provide python2-pyshp}
%{?python_provide:%python_provide python2-shapefile}

BuildRequires:  python2-devel
BuildRequires:  python2-setuptools

%description -n python2-pyshp
%{common_description}


%package -n python%{python3_pkgversion}-pyshp
Summary:        %{summary}

%{?python_provide:%python_provide python%{python3_pkgversion}-pyshp}
%{?python_provide:%python_provide python%{python3_pkgversion}-shapefile}

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools

%description -n python%{python3_pkgversion}-pyshp
%{common_description}


%package -n python%{python3_other_pkgversion}-pyshp
Summary:        %{summary}

%{?python_provide:%python_provide python%{python3_other_pkgversion}-pyshp}
%{?python_provide:%python_provide python%{python3_other_pkgversion}-shapefile}

BuildRequires:  python%{python3_other_pkgversion}-devel
BuildRequires:  python%{python3_other_pkgversion}-setuptools

%description -n python%{python3_other_pkgversion}-pyshp
%{common_description}


%prep
%setup -q
rm -rvf *.egg-info

# Fix non-UTF-8 license file
iconv --from-code=Windows-1252 --to-code=UTF-8 --output=LICENSE.TXT.conv \
    LICENSE.TXT
touch -r LICENSE.TXT LICENSE.TXT.conv
mv LICENSE.TXT.conv LICENSE.TXT
# Fix line endings
dos2unix LICENSE.TXT changelog.txt shapefile.py


%build
%py2_build
%py3_build
%py3_other_build


%install
%py2_install
%py3_install
%py3_other_install


%check
PYTHONPATH='%{buildroot}%{python2_sitelib}' %{python2} shapefile.py
PYTHONPATH='%{buildroot}%{python3_sitelib}' %{python3} shapefile.py
PYTHONPATH='%{buildroot}%{python3_other_sitelib}' %{python3_other} shapefile.py


%files -n python2-pyshp
%license LICENSE.TXT
%doc changelog.txt
%doc README.md
%{python2_sitelib}/shapefile.py
%{python2_sitelib}/shapefile.py?
%{python2_sitelib}/%{name}-%{version}-py%{python2_version}.egg-info


%files -n python%{python3_pkgversion}-pyshp
%license LICENSE.TXT
%doc changelog.txt
%doc README.md
%pycached %{python3_sitelib}/shapefile.py
%{python3_sitelib}/%{name}-%{version}-py%{python3_version}.egg-info


%files -n python%{python3_other_pkgversion}-pyshp
%license LICENSE.TXT
%doc changelog.txt
%doc README.md
%{python3_other_sitelib}/shapefile.py
%{python3_other_sitelib}/__pycache__/shapefile.*.py?
%{python3_other_sitelib}/%{name}-%{version}-py%{python3_other_version}.egg-info


%changelog
* Thu Dec 23 2021 Benjamin A. Beasley <code@musicinmybrain.net> 1.2.12-1
- Update to pyshp 1.2.12 and generally improve packaging

* Mon May 12 2014 Volker Fröhlich <volker27@gmx.at> - 1.2.1-1
- New upstream release
- Properly check on Python 3 builds

* Thu Jan 23 2014 Volker Fröhlich <volker27@gmx.at> - 1.2.0-2
- Disable Python 3 builds for EPEL7 until Python 3 is available there

* Sun Oct 06 2013 Volker Fröhlich <volker27@gmx.at> - 1.2.0-1
- New upstream release

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Aug 04 2012 David Malcolm <dmalcolm@redhat.com> - 1.1.4-5
- rebuild for https://fedoraproject.org/wiki/Features/Python_3.3

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat May 19 2012 Volker Fröhlich <volker27@gmx.at> - 1.1.4-3
- Move BR python3-devel in conditional block

* Fri May 18 2012 Volker Fröhlich <volker27@gmx.at> - 1.1.4-2
- Run doctests
- Delete the original egg-info

* Sun Apr 22 2012 Volker Fröhlich <volker27@gmx.at> - 1.1.4-1
- Initial package for Fedora

